Install and play with MediaWiki extension
Closed, ResolvedPublic

Hjfocs created this task.Jun 5 2017, 2:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2017, 2:36 PM
  1. The first step was setting up mediawiki in a local development environment
    1. Decided to use docker
      1. Found this repo: https://github.com/wikimedia/mediawiki-docker
      2. As you can see a lot of work is needed to set up (configure)
      3. Found out the project is not "full/stable release" and is a work in progress, ticket here T92826
    2. Moved to vagrant
      1. Followed these instructions https://www.mediawiki.org/wiki/MediaWiki-Vagrant
      2. Up and running in minutes without any problem
  2. Second step was to get into the virtual machine and install an extension
    1. connect to machine via ssh with $ vagrant ssh
    2. install extensions using these general instructions and specific ones found in each extension page
    3. if you don't feel confortable editing extensions files via console you can do it with your IDE on your machine and then move them on the virtual machine via the vagrant shared folder
Kiailandi added a comment.EditedJun 10 2017, 4:23 PM

This is the mediawiki-extensions github repo, it is a mirror of the original repo hosted on Gerrit.

Kiailandi closed this task as Resolved.Jun 12 2017, 2:45 PM